--- title: "getExecutionTimes" slug: "analytics-dataflow-getexecutiontimes" updated: 2026-09-17T09:53:45Z published: 2026-09-17T09:53:45Z canonical: "api.ncloud-docs.com/analytics-dataflow-getexecutiontimes" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getExecutionTimes Available in VPC Get the execution time of a job. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/stats/executions-times | ### Request headers For information about the headers common to all Data Flow APIs, see [Data Flow request headers](/docs/en/analytics-dataflow#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `startDate` | String | Required | Query start date and time - ISO 8601 format | | `endDate` | String | Required | Query end date and time - ISO 8601 format | ### Request example The request example is as follows: ``` curl --location --request GET 'https://dataflow.apigw.ntruss.com/api/v1/stats/executions-times?startDate=2025-03-19T00%3A00%3A00&endDate=2025-03-20T23%3A59%3A59' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `result` | Array | - | Response result: [result](/docs/en/analytics-dataflow-getexecutiontimes#result) | #### `result` The following describes `result`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `time` | Integer | - | Job execution start date and time (millisecond) - Unix timestamp format | | `value` | Integer | - | Job execution count | ### Response status codes For response status codes common to all Data Flow APIs, see [Data Flow response status codes](/docs/en/analytics-dataflow#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "result": [ { "time": 1742454000000, "value": 0 }, { "time": 1742461200000, "value": 0 }, { "time": 1742468400000, "value": 0 }, { "time": 1742475600000, "value": 0 } ] } ```